#include <stdio.h>
#include <stdlib.h>      // exit
#include <signal.h>      // signal

int main(int argc, char *argv[]) 
{

  if (signal(SIGHUP,SIG_IGN)== SIG_ERR) 
    {
      perror("Error in 'signal'");
      exit(3);
    }
  
  printf("Execute command: %s\n",argv[1]);  
  execvp(argv[1],argv+1);
  
  perror(argv[1]);                /* exec failed */

  exit(0);
}
